## net.sf.saxon.charcode
Interface CharacterSet

All Known Subinterfaces:
  PluggableCharacterSet

All Known Implementing Classes:
  ASCIICharacterSet, Big5CharacterSet, BuggyCharacterSet, CP1250CharacterSet, CP1251CharacterSet, CP1252CharacterSet, CP852CharacterSet, EucJPCharacterSet, EucKRCharacterSet, GB2312CharacterSet, ISO88591CharacterSet, ISO88592CharacterSet, ISO88595CharacterSet, ISO88597CharacterSet, ISO88598CharacterSet, ISO88599CharacterSet, KOI8RCharacterSet, ShiftJISCharacterSet, UnicodeCharacterSet, UnknownCharacterSet

    public interface CharacterSet

This interface defines properties of a character set, built in to the Saxon product. This is selected in xsl:output using encoding="encoding-name", where the mapping from an encoding-name to a class is defined in CharacterSetFactory.

Method Summary
`boolean` `inCharset(int ch)` Determine if a character is present in the character set

Method Detail

### inCharset

    boolean inCharset(int ch)

  Determine if a character is present in the character set

Copyright (C) Michael H. Kay. All rights reserved.